/* COLORS */
/* TYPOGRAPHY */
/* ---- MEDIA QUERIES ----- */
.logo-slider {
  --color-text: navy;
  --color-bg: papayawhip;
  --color-bg-accent: #ecdcc0;
  --size: clamp(10rem, 1rem + 40vmin, 30rem);
  --gap: calc(var(--size) / 14);
  --duration: 40s;
  --scroll-start: 0;
  --scroll-end: calc(-100% - var(--gap));
}
.logo-slider .container {
  grid-column: span 12;
}
.logo-slider .heading {
  text-align: center;
  font-size: 1.4rem;
  font-weight: 700;
  letter-spacing: 2.8px;
  text-transform: uppercase;
  margin: 0 0 2.3rem;
}
.logo-slider .wrapper {
  display: flex;
  flex-direction: column;
  gap: var(--gap);
  margin: auto;
  max-width: 100vw;
}
.logo-slider .marquee {
  display: flex;
  overflow: hidden;
  user-select: none;
  gap: var(--gap);
}
.logo-slider .marquee__group {
  flex-shrink: 0;
  display: flex;
  align-items: center;
  justify-content: space-around;
  gap: var(--gap);
  min-width: 100%;
  animation: scroll-x var(--duration) linear infinite;
}

@media (prefers-reduced-motion: reduce) {
  .marquee__group {
    animation-play-state: paused;
  }
}
@keyframes scroll-x {
  from {
    transform: translateX(var(--scroll-start));
  }
  to {
    transform: translateX(var(--scroll-end));
  }
}
@media (max-width: 768px) {
  .logo-slider .heading {
    margin: 0 0 1.1rem;
  }
}